Skip to main content
GET
/
api
/
market
/
v1
/
get-stock-analysis-history
GetStockAnalysisHistory
curl --request GET \
  --url https://api.example.com/api/market/v1/get-stock-analysis-history
{
  "items": [
    {
      "symbol": "<string>",
      "snapshots": [
        {
          "available": true,
          "symbol": "<string>",
          "name": "<string>",
          "display": "<string>",
          "currency": "<string>",
          "currentPrice": 123,
          "changePercent": 123,
          "signalScore": 123,
          "signal": "<string>",
          "trendStatus": "<string>",
          "volumeStatus": "<string>",
          "macdStatus": "<string>",
          "rsiStatus": "<string>",
          "summary": "<string>",
          "action": "<string>",
          "confidence": "<string>",
          "technicalSummary": "<string>",
          "newsSummary": "<string>",
          "whyNow": "<string>",
          "bullishFactors": [
            "<string>"
          ],
          "riskFactors": [
            "<string>"
          ],
          "supportLevels": [
            123
          ],
          "resistanceLevels": [
            123
          ],
          "headlines": [
            {
              "title": "<string>",
              "source": "<string>",
              "link": "<string>",
              "publishedAt": 123
            }
          ],
          "ma5": 123,
          "ma10": 123,
          "ma20": 123,
          "ma60": 123,
          "biasMa5": 123,
          "biasMa10": 123,
          "biasMa20": 123,
          "volumeRatio5d": 123,
          "rsi12": 123,
          "macdDif": 123,
          "macdDea": 123,
          "macdBar": 123,
          "provider": "<string>",
          "model": "<string>",
          "fallback": true,
          "newsSearched": true,
          "generatedAt": "<string>",
          "analysisId": "<string>",
          "analysisAt": 123,
          "stopLoss": 123,
          "takeProfit": 123,
          "engineVersion": "<string>",
          "analystConsensus": {
            "strongBuy": 123,
            "buy": 123,
            "hold": 123,
            "sell": 123,
            "strongSell": 123,
            "total": 123,
            "period": "<string>"
          },
          "priceTarget": {
            "high": 123,
            "low": 123,
            "mean": 123,
            "median": 123,
            "current": 123,
            "numberOfAnalysts": 123
          },
          "recentUpgrades": [
            {
              "firm": "<string>",
              "toGrade": "<string>",
              "fromGrade": "<string>",
              "action": "<string>",
              "epochGradeDate": 123
            }
          ],
          "dividendYield": 123,
          "trailingAnnualDividendRate": 123,
          "exDividendDate": 123,
          "payoutRatio": 123,
          "dividendFrequency": "<string>",
          "dividendCagr": 123
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://worldmonitor.app/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

symbols
string[]
limit_per_symbol
integer<int32>
include_news
boolean

Response

Successful response

items
object[]